.areas-list-wrapper {
  position: absolute;
  z-index: 1;
  right: 0;
  //padding: 8px;
  background: #ffffff;
  box-shadow: 0.5px 0.5px 5px rgba(0, 0, 0, 0.3);

  display: flex;
  flex-direction: column;
  row-gap: 4px;
  max-width: 500px;
  width: 100%;
  height: auto;

  .ant-list-items {
    max-height: calc(100vh - 235px);
    overflow-x: hidden;
    overflow-y: auto;
  }

  .area-actions {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    .area-name {
      font-size: 26px;
    }

    .area-action {
      margin-right: 8px;
    }
  }

  .create-button {
    margin-top: 16px;
    width: 100%
  }

  .draw-map-header{
    display: flex;
    flex-direction: column;
    .ant-select .ant-select-selector{
      border: 1px solid #d9d9d9 !important;
      height: 30px !important;
    }
  }

  .area-list-item {
    cursor: pointer;
    transition: background-color 0.3s ease-in-out;

    &:hover,
    &.selected {
      background: rgba(0, 0, 0, 0.105);
    }
  }
}

.map-wrapper {
  .map {
    z-index: 0;
  }

  &.drawing {
    cursor: pointer;
  }
}

.area-color {
  width: 25px;
  height: 25px;
  border-radius: 50%;
  display: inline-block;
  align-self: center;
  border: 1px solid #e2e2e2;
}

.color-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}

.select-wrapper{
  display: flex;
  align-items: center;
  margin-bottom: 16px !important;
  .ant-select .ant-select-selector{
    border: 1px solid #d9d9d9 !important;
    height: 30px !important;
  }
}

.area-create-form {
  padding: 12px !important;

  .area-name-field {
    margin-bottom: 16px;
  }

  .color-wrapper {
    margin-bottom: 16px;
  }

  .area-form-actions {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    column-gap: 8px;
  }
}


.leaflet-draw-toolbar{
  background-color: transparent !important;
  border: none !important;
  top: 12px !important;
  left: 12px !important;
  a+a{
    margin-top: 20px !important;
  }
  .leaflet-draw-draw-polygon{
    border: 1px solid #7f7e7e !important;
    &:hover{
      border: 1px solid #25ACE3 !important;
      background-color: white !important;
    }
  }
  .leaflet-draw-draw-rectangle{
    border: 1px solid #7f7e7e !important;
    &:hover{
      border: 1px solid #25ACE3 !important;
      background-color: white !important;
    }
  }
  .leaflet-draw-draw-circle{
    border: 1px solid #7f7e7e !important;
    &:hover{
      border: 1px solid #25ACE3 !important;
      background-color: white !important;
    }
  }
}
